aboutsummaryrefslogtreecommitdiff
path: root/office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf
diff options
context:
space:
mode:
authorAlexander Verbovetsky <alik@ejik.org>2016-11-02 21:01:08 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2016-11-02 22:53:12 +0700
commitaba79c277e03a3a2df8765b46eab6bba4741eeb6 (patch)
treef4555108c4291fe3c2197e6dc3174ecaf00fdd75 /office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf
parentae7f55c495c868b4f85266fb1026e9fedd00749b (diff)
downloadslackbuilds-aba79c277e03a3a2df8765b46eab6bba4741eeb6.tar.xz
office/multivalent-tool-pdf: Added (PDF tools).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf')
-rw-r--r--office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf20
1 files changed, 20 insertions, 0 deletions
diff --git a/office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf b/office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf
new file mode 100644
index 000000000000..826fd162250c
--- /dev/null
+++ b/office/multivalent-tool-pdf/wrapper.multivalent-tool-pdf
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+USAGE="Usage: $0 <Command> [options] files\nThe <Command> can be one of the following: Compress, Convert, Decrypt, Diff, Embed, Encrypt, Extract, Impose, Info, Markup, Merge, Repair, Split, Stamp, Uncompact, Uncompress, Undo, Validate\nFor possible options see documentations in /usr/doc/multivalent-tool-pdf-@VERSION@/tool-pdf-doc/"
+if [ "$#" == "0" ]; then
+ echo -e "$USAGE"
+ exit 1
+fi
+
+CMD="$1"
+
+shift
+
+case $CMD in
+ Compress|Convert|Decrypt|Diff|Embed|Encrypt|Extract|Impose|Info|Markup|Merge|Repair|Split|Stamp|Uncompact|Uncompress|Undo|Validate)
+ exec java -classpath /usr/share/java/Multivalent20060102.jar tool.pdf.$CMD "$@"
+ ;;
+ *)
+ echo -e "$USAGE"
+ exit 1
+esac